%global vapi_ver 0.10
Name:           ease
Version:        0.4
Release:        1%{?dist}
Summary:        GNOME desktop presentation application

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://www.ease-project.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/ease/0.4/ease-%{version}.tar.bz2
# desktop file's MimeType must have a ; trailing character
Patch0:         ease-0.4-fix_mime-type.patch

BuildRequires:  pkgconfig(clutter-gst-1.0)
BuildRequires:  pkgconfig(clutter-gtk-0.10)
BuildRequires:  pkgconfig(gee-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(rest-0.6)
BuildRequires:  pkgconfig(rest-extras-0.6)
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
Requires:       shared-mime-info

%description
Ease is a modern desktop presentation application for GNOME, with
Clutter-based visuals.

With a simple design, Ease is painless to use. It is intended to
integrate well into your current GNOME-based desktop.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .fix_mime-type


%build
%configure --disable-static
# Don't use rpath!
sed -i 's|/lib /usr/lib|/lib /usr/lib /lib64 /usr/lib64|' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# validate desktop file
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/ease.desktop

# remove *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# add version suffix
mv $RPM_BUILD_ROOT%{_datadir}/vala{,-%{vapi_ver}}

%find_lang %{name}


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS
%{_bindir}/ease
%{_libdir}/libease-core-%{version}.so.*
%{_libdir}/libflutter-%{version}.so.*
%{_datadir}/applications/ease.desktop
%{_datadir}/ease
%{_datadir}/icons/gnome/scalable/mimetypes/gnome-mime-application-x-ease.svg
%{_datadir}/icons/hicolor/scalable/apps/ease.svg
%{_datadir}/mime/packages/ease-mime.xml

%files devel
%defattr(-,root,root,-)
%{_includedir}/ease
%{_includedir}/flutter
%{_libdir}/libease-core-%{version}.so
%{_libdir}/libflutter-%{version}.so
%{_libdir}/pkgconfig/ease-core-%{version}.pc
%{_libdir}/pkgconfig/flutter-%{version}.pc
%{_datadir}/vala-%{vapi_ver}/vapi/*.deps
%{_datadir}/vala-%{vapi_ver}/vapi/*.vapi


%changelog
* Tue Nov 16 2010 Michel Salim <salimma@fedoraproject.org> - 0.4-1
- Initial package
